Run in Apidog
Sent to your subscribed webhook URL when a report you requested has finished generating. The payload is a notification only — fetch the report content from the relevant API endpoint. Respond with a 2xx status to acknowledge receipt.
Request Body Params application/json
{
"id" : "b8f0a3d2-1c4e-4a7b-9f2a-1e2d3c4b5a6f" ,
"type" : "report-completed" ,
"entity_type" : "report" ,
"entity_id" : "8f14e45f-ceea-467d-9a3a-2e1b9c0d1f23" ,
"client_id" : "3712bf11-699b-4f40-b1bc-199fe9c0d2a4" ,
"created_at" : "2026-06-01T02:15:30.000Z" ,
"entity" : {
"report_id" : "8f14e45f-ceea-467d-9a3a-2e1b9c0d1f23" ,
"report_type" : "card_report" ,
"status" : "COMPLETED" ,
"date_from" : "2026-05-01T00:00:00.000Z" ,
"date_to" : "2026-05-31T23:59:59.999Z"
}
} Request Code Samples
curl --location 'https://your-api-server.com' \
--header 'Content-Type: application/json' \
--data '{
"id": "b8f0a3d2-1c4e-4a7b-9f2a-1e2d3c4b5a6f",
"type": "report-completed",
"entity_type": "report",
"entity_id": "8f14e45f-ceea-467d-9a3a-2e1b9c0d1f23",
"client_id": "3712bf11-699b-4f40-b1bc-199fe9c0d2a4",
"created_at": "2026-06-01T02:15:30.000Z",
"entity": {
"report_id": "8f14e45f-ceea-467d-9a3a-2e1b9c0d1f23",
"report_type": "card_report",
"status": "COMPLETED",
"date_from": "2026-05-01T00:00:00.000Z",
"date_to": "2026-05-31T23:59:59.999Z"
}
}' Modified at 2026-07-10 06:55:15